Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.control.ajax
Class AbstractListener

    java.lang.Object
      org.deegree.enterprise.control.ajax.AbstractListener

Direct Known Subclasses:
  AbstractGazetteerListener, AbstractMetadataListener, AddLayerListener, AddTreeNodeListener, CollapseNodeListener, DescribeTemplatesListener, DoConfigurationListener, ExpandNodeListener, GetLayersInformationListener, GetTemplatesListener, GetUserInfoListener, LayerTreeListener, MessageListener, MoveTreeNodeListener, PrintWMPSListener, RemoveTreeNodeListener, RenameTreeNodeListener, SetVisibilityTreeNodeListener, TestDBConnectionListener

    public abstract class AbstractListener

extends Object

The abstract listener allows the reuse of basic functionality.

Version:
  $Revision: 24033 $
Author:
  Torsten Friebe, Andreas Poth

Field Summary
`protected static int` | `timeout`

Constructor Summary
`AbstractListener()`

Method Summary
`abstract void` | `actionPerformed(WebEvent event, ResponseHandler responseHandler)`
`protected String` | `getHomePath()`
`protected String` | `getInitParameter(String name)` returns a named init parameter or `null` if the parameter is not known
`protected List<ParameterValueIm>` | `getInitParameterList()`
`String` | `getNextPage()`
`protected javax.servlet.ServletRequest` | `getRequest()`
`(package private) void` | `handle(WebEvent event, ResponseHandler responseHandler)`
`(package private) void` | `setInitParameterList(List<ParameterValueIm> params)` sets the list of assigned initialization parameters
`(package private) void` | `setNextPage(String nextPage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### timeout

    protected static int timeout

Constructor Detail

### AbstractListener

    public AbstractListener()

Method Detail

### actionPerformed

    public abstract void actionPerformed(WebEvent event,
                                         ResponseHandler responseHandler)
                                  throws IOException

  Parameters:
    `event` -
    `responseHandler` -
  Throws:
    `IOException`

### handle

    final void handle(WebEvent event,
                      ResponseHandler responseHandler)
               throws IOException

  Parameters:
    `event` -
    `responseHandler` -
  Throws:
    `IOException`

### getRequest

    protected javax.servlet.ServletRequest getRequest()

  Returns:
    the servlet request

### getHomePath

    protected String getHomePath()

  Returns:
    the path from the servlet context

### setInitParameterList

    void setInitParameterList(List<ParameterValueIm> params)

  sets the list of assigned initialization parameters

  Parameters:
    `params` -

### getInitParameterList

    protected List<ParameterValueIm> getInitParameterList()

  Returns:
    the list of assigned initialization parameters
  See Also:
    `setInitParameterList(List)`

### getInitParameter

    protected String getInitParameter(String name)

  returns a named init parameter or `null` if the parameter is not known

  Parameters:
    `name` -
  Returns:
    a named init parameter or `null` if the parameter is not known

### setNextPage

    void setNextPage(String nextPage)

  Parameters:
    `nextPage` -

### getNextPage

    public String getNextPage()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org